Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.jemmy.operators
Class JScrollPaneOperator

    java.lang.Object
      |
      +--org.netbeans.jemmy.operators.Operator
            |
            +--org.netbeans.jemmy.operators.ComponentOperator
                  |
                  +--org.netbeans.jemmy.operators.ContainerOperator
                        |
                        +--org.netbeans.jemmy.operators.JComponentOperator
                              |
                              +--org.netbeans.jemmy.operators.JScrollPaneOperator

All Implemented Interfaces:
  Outputable, Timeoutable

public class JScrollPaneOperator
extends JComponentOperator
implements Timeoutable, Outputable

Timeouts used:
JScrollBarOperator.OneScrollClickTimeout - time for one scroll click
JScrollBarOperator.WholeScrollTimeout - time for the whole scrolling
ComponentOperator.WaitComponentTimeout - time to wait component displayed
.

Author:
  Alexandre Iline (alexandre.iline@sun.com)
See Also:
  `Timeouts`

Inner Class Summary
`static class` | `JScrollPaneOperator.JScrollPaneFinder` Checks component type.

Inner classes inherited from class org.netbeans.jemmy.operators.JComponentOperator
`JComponentOperator.JComponentByTipFinder, JComponentOperator.JComponentFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.ContainerOperator
`ContainerOperator.ContainerFinder`

Inner classes inherited from class org.netbeans.jemmy.operators.Operator
`Operator.ComponentVisualizer, Operator.DefaultPathParser, Operator.DefaultStringComparator, Operator.Finder, Operator.MapAction, Operator.MapBooleanAction, Operator.MapByteAction, Operator.MapCharacterAction, Operator.MapDoubleAction, Operator.MapFloatAction, Operator.MapIntegerAction, Operator.MapLongAction, Operator.MapVoidAction, Operator.NoBlockingAction, Operator.PathParser, Operator.StringComparator`

Fields inherited from class org.netbeans.jemmy.operators.JComponentOperator
`TOOLTIP_TEXT_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.ComponentOperator
`HEIGHT_DPROP, IS_SHOWING_DPROP, IS_VISIBLE_DPROP, WIDTH_DPROP, X_DPROP, Y_DPROP`

Fields inherited from class org.netbeans.jemmy.operators.Operator
`CLASS_DPROP, TO_STRING_DPROP`

Constructor Summary
`JScrollPaneOperator(ContainerOperator cont)` Constructor.
`JScrollPaneOperator(ContainerOperator cont, ComponentChooser chooser)` Constructs a JScrollPaneOperator object.
`JScrollPaneOperator(ContainerOperator cont, ComponentChooser chooser, int index)` Constructs a JScrollPaneOperator object.
`JScrollPaneOperator(ContainerOperator cont, int index)` Constructor.
`JScrollPaneOperator(javax.swing.JScrollPane b)` Constructor.

Method Summary
`boolean` | `checkInside(java.awt.Component comp)` Checks if component is inside view port (no scrolling necessary).
`boolean` | `checkInside(java.awt.Component comp, int x, int y, int width, int height)` Checks if component's rectangle is inside view port (no scrolling necessary).
`javax.swing.JScrollBar` | `createHorizontalScrollBar()` Maps `JScrollPane.createHorizontalScrollBar()` through queue
`javax.swing.JScrollBar` | `createVerticalScrollBar()` Maps `JScrollPane.createVerticalScrollBar()` through queue
`static javax.swing.JScrollPane` | `findJScrollPane(java.awt.Container cont)` Searches 0'th JScrollPane in container.
`static javax.swing.JScrollPane` | `findJScrollPane(java.awt.Container cont, ComponentChooser chooser)` Searches 0'th JScrollPane in container.
`static javax.swing.JScrollPane` | `findJScrollPane(java.awt.Container cont, ComponentChooser chooser, int index)` Searches JScrollPane in container.
`static javax.swing.JScrollPane` | `findJScrollPane(java.awt.Container cont, int index)` Searches JScrollPane in container.
`static javax.swing.JScrollPane` | `findJScrollPaneUnder(java.awt.Component comp)` Searches JScrollPane object which component lies on.
`static javax.swing.JScrollPane` | `findJScrollPaneUnder(java.awt.Component comp, ComponentChooser chooser)` Searches JScrollPane object which component lies on.
`javax.swing.JViewport` | `getColumnHeader()` Maps `JScrollPane.getColumnHeader()` through queue
`java.awt.Component` | `getCorner(java.lang.String string)` Maps `JScrollPane.getCorner(String)` through queue
`javax.swing.JScrollBar` | `getHorizontalScrollBar()` Maps `JScrollPane.getHorizontalScrollBar()` through queue
`int` | `getHorizontalScrollBarPolicy()` Maps `JScrollPane.getHorizontalScrollBarPolicy()` through queue
`JScrollBarOperator` | `getHScrollBarOperator()` Returns operator used for horizontal scrollbar.
`TestOut` | `getOutput()` Returns print output streams or writers.
`javax.swing.JViewport` | `getRowHeader()` Maps `JScrollPane.getRowHeader()` through queue
`Timeouts` | `getTimeouts()` Return current timeouts.
`javax.swing.plaf.ScrollPaneUI` | `getUI()` Maps `JScrollPane.getUI()` through queue
`javax.swing.JScrollBar` | `getVerticalScrollBar()` Maps `JScrollPane.getVerticalScrollBar()` through queue
`int` | `getVerticalScrollBarPolicy()` Maps `JScrollPane.getVerticalScrollBarPolicy()` through queue
`javax.swing.JViewport` | `getViewport()` Maps `JScrollPane.getViewport()` through queue
`javax.swing.border.Border` | `getViewportBorder()` Maps `JScrollPane.getViewportBorder()` through queue
`java.awt.Rectangle` | `getViewportBorderBounds()` Maps `JScrollPane.getViewportBorderBounds()` through queue
`JScrollBarOperator` | `getVScrollBarOperator()` Returns operator used for vertical scrollbar.
`void` | `scrollToBottom()` Scrolls pane to bottom.
`void` | `scrollToComponent(java.awt.Component comp)` Scrolls pane to component on this pane.
`void` | `scrollToComponentPoint(java.awt.Component comp, int x, int y)` Scrolls pane to point.
`void` | `scrollToComponentRectangle(java.awt.Component comp, int x, int y, int width, int height)` Scrolls pane to rectangle of a component.
`void` | `scrollToHorizontalValue(double proportionalValue)` Scrolls horizontal scroll bar.
`void` | `scrollToHorizontalValue(int value)` Scrolls horizontal scroll bar.
`void` | `scrollToLeft()` Scrolls pane to left.
`void` | `scrollToRight()` Scrolls pane to right.
`void` | `scrollToTop()` Scrolls pane to top.
`void` | `scrollToValues(double proportionalValueX, double proportionalValueY)` Scrolls both scroll bars.
`void` | `scrollToValues(int valueX, int valueY)` Scrolls both scroll bars.
`void` | `scrollToVerticalValue(double proportionalValue)` Scrolls vertical scroll bar.
`void` | `scrollToVerticalValue(int value)` Scrolls vertical scroll bar.
`void` | `setColumnHeader(javax.swing.JViewport jViewport)` Maps `JScrollPane.setColumnHeader(JViewport)` through queue
`void` | `setColumnHeaderView(java.awt.Component component)` Maps `JScrollPane.setColumnHeaderView(Component)` through queue
`void` | `setCorner(java.lang.String string, java.awt.Component component)` Maps `JScrollPane.setCorner(String, Component)` through queue
`void` | `setHorizontalScrollBar(javax.swing.JScrollBar jScrollBar)` Maps `JScrollPane.setHorizontalScrollBar(JScrollBar)` through queue
`void` | `setHorizontalScrollBarPolicy(int i)` Maps `JScrollPane.setHorizontalScrollBarPolicy(int)` through queue
`void` | `setOutput(TestOut out)` Defines print output streams or writers.
`void` | `setRowHeader(javax.swing.JViewport jViewport)` Maps `JScrollPane.setRowHeader(JViewport)` through queue
`void` | `setRowHeaderView(java.awt.Component component)` Maps `JScrollPane.setRowHeaderView(Component)` through queue
`void` | `setTimeouts(Timeouts timeouts)` Defines current timeouts.
`void` | `setUI(javax.swing.plaf.ScrollPaneUI scrollPaneUI)` Maps `JScrollPane.setUI(ScrollPaneUI)` through queue
`void` | `setValues(int hValue, int vValue)` Sets values for both JScrollBars.
`void` | `setVerticalScrollBar(javax.swing.JScrollBar jScrollBar)` Maps `JScrollPane.setVerticalScrollBar(JScrollBar)` through queue
`void` | `setVerticalScrollBarPolicy(int i)` Maps `JScrollPane.setVerticalScrollBarPolicy(int)` through queue
`void` | `setViewport(javax.swing.JViewport jViewport)` Maps `JScrollPane.setViewport(JViewport)` through queue
`void` | `setViewportBorder(javax.swing.border.Border border)` Maps `JScrollPane.setViewportBorder(Border)` through queue
`void` | `setViewportView(java.awt.Component component)` Maps `JScrollPane.setViewportView(Component)` through queue
`static javax.swing.JScrollPane` | `waitJScrollPane(java.awt.Container cont)` Waits 0'th JScrollPane in container.
`static javax.swing.JScrollPane` | `waitJScrollPane(java.awt.Container cont, ComponentChooser chooser)` Waits 0'th JScrollPane in container.
`static javax.swing.JScrollPane` | `waitJScrollPane(java.awt.Container cont, ComponentChooser chooser, int index)` Waits JScrollPane in container.
`static javax.swing.JScrollPane` | `waitJScrollPane(java.awt.Container cont, int index)` Waits JScrollPane in container.

Methods inherited from class org.netbeans.jemmy.operators.JComponentOperator
`addAncestorListener, addVetoableChangeListener, computeVisibleRect, createToolTip, findJComponent, findJComponent, findJComponent, findJComponent, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getActionForKeyStroke, getAutoscrolls, getBorder, getCenterXForClick, getCenterYForClick, getClientProperty, getConditionForKeyStroke, getDebugGraphicsOptions, getDump, getInsets, getNextFocusableComponent, getRegisteredKeyStrokes, getRootPane, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getUIClassID, getVisibleRect, getWindowContainerOperator, grabFocus, isFocusCycleRoot, isManagingFocus, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintImmediately, paintImmediately, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeVetoableChangeListener, repaint, requestDefaultFocus, resetKeyboardActions, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, showToolTip, unregisterKeyboardAction, updateUI, waitJComponent, waitJComponent, waitJComponent, waitJComponent, waitToolTip`

Methods inherited from class org.netbeans.jemmy.operators.ContainerOperator
`add, add, add, add, add, addContainerListener, createSubOperator, createSubOperator, findComponentAt, findComponentAt, findContainer, findContainer, findContainer, findContainer, findContainerUnder, findContainerUnder, findSubComponent, findSubComponent, getComponent, getComponentCount, getComponents, getInsets, getLayout, isAncestorOf, paintComponents, printComponents, remove, remove, removeAll, removeContainerListener, setLayout, waitContainer, waitContainer, waitContainer, waitContainer, waitSubComponent, waitSubComponent`

Methods inherited from class org.netbeans.jemmy.operators.ComponentOperator
`activateWindow, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, checkImage, checkImage, clickForPopup, clickForPopup, clickForPopup, clickForPopup, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, clickMouse, contains, contains, copyEnvironment, createImage, createImage, dispatchEvent, doLayout, dragMouse, dragMouse, dragMouse, dragNDrop, dragNDrop, dragNDrop, enableInputMethods, enterMouse, exitMouse, findComponent, findComponent, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getCenterX, getCenterY, getColorModel, getComponentAt, getComponentAt, getComponentOrientation, getContainer, getContainers, getCursor, getDropTarget, getEventDispatcher, getFocus, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getMaximumSize, getMinimumSize, getName, getParent, getPreferredSize, getSize, getSize, getSource, getToolkit, getTreeLock, getWidth, getWindow, getX, getY, hasFocus, imageUpdate, invalidate, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, list, list, list, list, list, makeComponentVisible, moveMouse, paint, paintAll, prepareImage, prepareImage, pressKey, pressKey, pressMouse, pressMouse, print, printAll, pushKey, pushKey, releaseKey, releaseKey, releaseMouse, releaseMouse, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFont, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, transferFocus, typeKey, typeKey, typeKey, update, validate, waitComponent, waitComponent, waitComponent, waitComponent, waitComponentEnabled, waitComponentShowing, waitComponentVisible, waitHasFocus`

Methods inherited from class org.netbeans.jemmy.operators.Operator
`addOperatorPackage, addToDump, addToDump, createOperator, getCharBindingMap, getCharKey, getCharModifiers, getCharsKeys, getCharsKeys, getCharsModifiers, getCharsModifiers, getComparator, getDefaultComponentVisualizer, getDefaultMouseButton, getDefaultPathParser, getDefaultStringComparator, getDefaultVerification, getEnvironmentOperator, getParentPath, getPathParser, getPopupMouseButton, getProperties, getQueueTool, getVerification, getVisualizer, isCaptionEqual, isCaptionEqual, isCaptionEqual, lockQueue, parseString, parseString, printDump, produceNoBlocking, produceNoBlocking, produceTimeRestricted, produceTimeRestricted, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, runMapping, setCharBindingMap, setComparator, setDefaultComponentVisualizer, setDefaultPathParser, setDefaultStringComparator, setDefaultVerification, setPathParser, setProperties, setVerification, setVisualizer, unlockAndThrow, unlockQueue, waitState`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JScrollPaneOperator

    public JScrollPaneOperator(javax.swing.JScrollPane b)

  Constructor.
  Parameters:
    `b` - JScrollPane component.

### JScrollPaneOperator

    public JScrollPaneOperator(ContainerOperator cont,
                               ComponentChooser chooser,
                               int index)

  Constructs a JScrollPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.
    `index` - an index between appropriate ones.

### JScrollPaneOperator

    public JScrollPaneOperator(ContainerOperator cont,
                               ComponentChooser chooser)

  Constructs a JScrollPaneOperator object.
  Parameters:
    `cont` - a container
    `chooser` - a component chooser specifying searching criteria.

### JScrollPaneOperator

    public JScrollPaneOperator(ContainerOperator cont,
                               int index)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
    `index` - Ordinal component index.
  Throws:
    `TimeoutExpiredException` -

### JScrollPaneOperator

    public JScrollPaneOperator(ContainerOperator cont)

  Constructor. Waits component in container first. Uses cont's timeout and output for waiting and to init operator.
  Parameters:
    `cont` - Operator pointing a container to search component in.
  Throws:
    `TimeoutExpiredException` -

Method Detail

### findJScrollPane

    public static javax.swing.JScrollPane findJScrollPane(java.awt.Container cont,
                                                          ComponentChooser chooser,
                                                          int index)

  Searches JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JScrollPane instance or null if component was not found.

### findJScrollPane

    public static javax.swing.JScrollPane findJScrollPane(java.awt.Container cont,
                                                          ComponentChooser chooser)

  Searches 0'th JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JScrollPane instance or null if component was not found.

### findJScrollPane

    public static javax.swing.JScrollPane findJScrollPane(java.awt.Container cont,
                                                          int index)

  Searches JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JScrollPane instance or null if component was not found.

### findJScrollPane

    public static javax.swing.JScrollPane findJScrollPane(java.awt.Container cont)

  Searches 0'th JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JScrollPane instance or null if component was not found.

### findJScrollPaneUnder

    public static javax.swing.JScrollPane findJScrollPaneUnder(java.awt.Component comp,
                                                               ComponentChooser chooser)

  Searches JScrollPane object which component lies on.
  Parameters:
    `comp` - Component to find JScrollPane under.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JScrollPane instance or null if component was not found.

### findJScrollPaneUnder

    public static javax.swing.JScrollPane findJScrollPaneUnder(java.awt.Component comp)

  Searches JScrollPane object which component lies on.
  Parameters:
    `comp` - Component to find JScrollPane under.
  Returns:
    JScrollPane instance or null if component was not found.

### waitJScrollPane

    public static javax.swing.JScrollPane waitJScrollPane(java.awt.Container cont,
                                                          ComponentChooser chooser,
                                                          int index)

  Waits JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
    `index` - Ordinal component index.
  Returns:
    JScrollPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJScrollPane

    public static javax.swing.JScrollPane waitJScrollPane(java.awt.Container cont,
                                                          ComponentChooser chooser)

  Waits 0'th JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
    `chooser` - org.netbeans.jemmy.ComponentChooser implementation.
  Returns:
    JScrollPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJScrollPane

    public static javax.swing.JScrollPane waitJScrollPane(java.awt.Container cont,
                                                          int index)

  Waits JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
    `index` - Ordinal component index.
  Returns:
    JScrollPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### waitJScrollPane

    public static javax.swing.JScrollPane waitJScrollPane(java.awt.Container cont)

  Waits 0'th JScrollPane in container.
  Parameters:
    `cont` - Container to search component in.
  Returns:
    JScrollPane instance or null if component was not displayed.
  Throws:
    `TimeoutExpiredException` -

### setValues

    public void setValues(int hValue,
                          int vValue)

  Sets values for both JScrollBars.
  Parameters:
    `hValue` - a value for the horizontal scrollbar.
    `vValue` - a value for the vertical scrollbar.

### setTimeouts

    public void setTimeouts(Timeouts timeouts)

  Description copied from interface: `Timeoutable`
  Defines current timeouts.
  Specified by:
    `setTimeouts` in interface `Timeoutable`
  Overrides:
    `setTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Parameters:
    `t` - A collection of timeout assignments.
  See Also:
    `Timeoutable.getTimeouts()`

### getTimeouts

    public Timeouts getTimeouts()

  Description copied from interface: `Timeoutable`
  Return current timeouts.
  Specified by:
    `getTimeouts` in interface `Timeoutable`
  Overrides:
    `getTimeouts` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Timeoutable`
  Returns:
    the collection of current timeout assignments.
  See Also:
    `Timeoutable.setTimeouts(org.netbeans.jemmy.Timeouts)`

### setOutput

    public void setOutput(TestOut out)

  Description copied from interface: `Outputable`
  Defines print output streams or writers.
  Specified by:
    `setOutput` in interface `Outputable`
  Overrides:
    `setOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Parameters:
    `out` - Identify the streams or writers used for print output.
  See Also:
    `Outputable.getOutput()`

### getOutput

    public TestOut getOutput()

  Description copied from interface: `Outputable`
  Returns print output streams or writers.
  Specified by:
    `getOutput` in interface `Outputable`
  Overrides:
    `getOutput` in class `JComponentOperator`
  Following copied from interface: `org.netbeans.jemmy.Outputable`
  Returns:
    an object that contains references to objects for printing to output and err streams.
  See Also:
    `Outputable.setOutput(org.netbeans.jemmy.TestOut)`

### scrollToHorizontalValue

    public void scrollToHorizontalValue(int value)

  Scrolls horizontal scroll bar.
  Parameters:
    `value` - Value to scroll horizontal scroll bar to.
  Throws:
    `TimeoutExpiredException` -

### scrollToHorizontalValue

    public void scrollToHorizontalValue(double proportionalValue)

  Scrolls horizontal scroll bar.
  Parameters:
    `proportionalValue` - Proportional value to scroll horizontal scroll bar to.
  Throws:
    `TimeoutExpiredException` -

### scrollToVerticalValue

    public void scrollToVerticalValue(int value)

  Scrolls vertical scroll bar.
  Parameters:
    `value` - Value to scroll vertical scroll bar to.
  Throws:
    `TimeoutExpiredException` -

### scrollToVerticalValue

    public void scrollToVerticalValue(double proportionalValue)

  Scrolls vertical scroll bar.
  Parameters:
    `proportionalValue` - Value to scroll vertical scroll bar to.
  Throws:
    `TimeoutExpiredException` -

### scrollToValues

    public void scrollToValues(int valueX,
                               int valueY)

  Scrolls both scroll bars.
  Parameters:
    `valueX` - Value to scroll horizontal scroll bar to.
    `valueY` - Value to scroll vertical scroll bar to.
  Throws:
    `TimeoutExpiredException` -

### scrollToValues

    public void scrollToValues(double proportionalValueX,
                               double proportionalValueY)

  Scrolls both scroll bars.
  Parameters:
    `proportionalValueX` - Value to scroll horizontal scroll bar to.
    `proportionalValueY` - Value to scroll vertical scroll bar to.
  Throws:
    `TimeoutExpiredException` -

### scrollToTop

    public void scrollToTop()

  Scrolls pane to top.
  Throws:
    `TimeoutExpiredException` -

### scrollToBottom

    public void scrollToBottom()

  Scrolls pane to bottom.
  Throws:
    `TimeoutExpiredException` -

### scrollToLeft

    public void scrollToLeft()

  Scrolls pane to left.
  Throws:
    `TimeoutExpiredException` -

### scrollToRight

    public void scrollToRight()

  Scrolls pane to right.
  Throws:
    `TimeoutExpiredException` -

### scrollToComponentRectangle

    public void scrollToComponentRectangle(java.awt.Component comp,
                                           int x,
                                           int y,
                                           int width,
                                           int height)

  Scrolls pane to rectangle of a component.
  Parameters:
    `comp` - a subcomponent defining coordinate system.
    `x` - coordinate
    `y` - coordinate
    `width` - rectangle width
    `height` - rectangle height
  Throws:
    `TimeoutExpiredException` -

### scrollToComponentPoint

    public void scrollToComponentPoint(java.awt.Component comp,
                                       int x,
                                       int y)

  Scrolls pane to point.
  Parameters:
    `comp` - a subcomponent defining coordinate system.
    `x` - coordinate
    `y` - coordinate
  Throws:
    `TimeoutExpiredException` -

### scrollToComponent

    public void scrollToComponent(java.awt.Component comp)

  Scrolls pane to component on this pane. Component should lay on the JScrollPane view.
  Parameters:
    `comp` - Component to scroll to.
  Throws:
    `TimeoutExpiredException` -

### getHScrollBarOperator

    public JScrollBarOperator getHScrollBarOperator()

  Returns operator used for horizontal scrollbar.
  Returns:
    an operator for the horizontal scrollbar.

### getVScrollBarOperator

    public JScrollBarOperator getVScrollBarOperator()

  Returns operator used for vertical scrollbar.
  Returns:
    an operator for the vertical scrollbar.

### checkInside

    public boolean checkInside(java.awt.Component comp,
                               int x,
                               int y,
                               int width,
                               int height)

  Checks if component's rectangle is inside view port (no scrolling necessary).
  Parameters:
    `comp` - a subcomponent defining coordinate system.
    `x` - coordinate
    `y` - coordinate
    `width` - rectangle width
    `height` - rectangle height
  Returns:
    true if pointed subcomponent rectangle is inside the scrolling area.

### checkInside

    public boolean checkInside(java.awt.Component comp)

  Checks if component is inside view port (no scrolling necessary).
  Parameters:
    `comp` - a subcomponent
  Returns:
    true if pointed subcomponent is inside the scrolling area.

### createHorizontalScrollBar

    public javax.swing.JScrollBar createHorizontalScrollBar()

  Maps `JScrollPane.createHorizontalScrollBar()` through queue

### createVerticalScrollBar

    public javax.swing.JScrollBar createVerticalScrollBar()

  Maps `JScrollPane.createVerticalScrollBar()` through queue

### getColumnHeader

    public javax.swing.JViewport getColumnHeader()

  Maps `JScrollPane.getColumnHeader()` through queue

### getCorner

    public java.awt.Component getCorner(java.lang.String string)

  Maps `JScrollPane.getCorner(String)` through queue

### getHorizontalScrollBar

    public javax.swing.JScrollBar getHorizontalScrollBar()

  Maps `JScrollPane.getHorizontalScrollBar()` through queue

### getHorizontalScrollBarPolicy

    public int getHorizontalScrollBarPolicy()

  Maps `JScrollPane.getHorizontalScrollBarPolicy()` through queue

### getRowHeader

    public javax.swing.JViewport getRowHeader()

  Maps `JScrollPane.getRowHeader()` through queue

### getUI

    public javax.swing.plaf.ScrollPaneUI getUI()

  Maps `JScrollPane.getUI()` through queue

### getVerticalScrollBar

    public javax.swing.JScrollBar getVerticalScrollBar()

  Maps `JScrollPane.getVerticalScrollBar()` through queue

### getVerticalScrollBarPolicy

    public int getVerticalScrollBarPolicy()

  Maps `JScrollPane.getVerticalScrollBarPolicy()` through queue

### getViewport

    public javax.swing.JViewport getViewport()

  Maps `JScrollPane.getViewport()` through queue

### getViewportBorder

    public javax.swing.border.Border getViewportBorder()

  Maps `JScrollPane.getViewportBorder()` through queue

### getViewportBorderBounds

    public java.awt.Rectangle getViewportBorderBounds()

  Maps `JScrollPane.getViewportBorderBounds()` through queue

### setColumnHeader

    public void setColumnHeader(javax.swing.JViewport jViewport)

  Maps `JScrollPane.setColumnHeader(JViewport)` through queue

### setColumnHeaderView

    public void setColumnHeaderView(java.awt.Component component)

  Maps `JScrollPane.setColumnHeaderView(Component)` through queue

### setCorner

    public void setCorner(java.lang.String string,
                          java.awt.Component component)

  Maps `JScrollPane.setCorner(String, Component)` through queue

### setHorizontalScrollBar

    public void setHorizontalScrollBar(javax.swing.JScrollBar jScrollBar)

  Maps `JScrollPane.setHorizontalScrollBar(JScrollBar)` through queue

### setHorizontalScrollBarPolicy

    public void setHorizontalScrollBarPolicy(int i)

  Maps `JScrollPane.setHorizontalScrollBarPolicy(int)` through queue

### setRowHeader

    public void setRowHeader(javax.swing.JViewport jViewport)

  Maps `JScrollPane.setRowHeader(JViewport)` through queue

### setRowHeaderView

    public void setRowHeaderView(java.awt.Component component)

  Maps `JScrollPane.setRowHeaderView(Component)` through queue

### setUI

    public void setUI(javax.swing.plaf.ScrollPaneUI scrollPaneUI)

  Maps `JScrollPane.setUI(ScrollPaneUI)` through queue

### setVerticalScrollBar

    public void setVerticalScrollBar(javax.swing.JScrollBar jScrollBar)

  Maps `JScrollPane.setVerticalScrollBar(JScrollBar)` through queue

### setVerticalScrollBarPolicy

    public void setVerticalScrollBarPolicy(int i)

  Maps `JScrollPane.setVerticalScrollBarPolicy(int)` through queue

### setViewport

    public void setViewport(javax.swing.JViewport jViewport)

  Maps `JScrollPane.setViewport(JViewport)` through queue

### setViewportBorder

    public void setViewportBorder(javax.swing.border.Border border)

  Maps `JScrollPane.setViewportBorder(Border)` through queue

### setViewportView

    public void setViewportView(java.awt.Component component)

  Maps `JScrollPane.setViewportView(Component)` through queue

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD